# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapOfIntegerAsciiString Class Reference

`#include <MeshVS_DataMapOfIntegerAsciiString.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MeshVS_DataMapOfIntegerAsciiString (const Standard_Integer NbBuckets=1)
Standard_EXPORT MeshVS_DataMapOfIntegerAsciiString & | Assign (const MeshVS_DataMapOfIntegerAsciiString &Other)
MeshVS_DataMapOfIntegerAsciiString & | operator= (const MeshVS_DataMapOfIntegerAsciiString &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~MeshVS_DataMapOfIntegerAsciiString ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const TCollection_AsciiString &I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const TCollection_AsciiString & | Find (const Standard_Integer &K) const
const TCollection_AsciiString & | operator() (const Standard_Integer &K) const
Standard_EXPORT TCollection_AsciiString & | ChangeFind (const Standard_Integer &K)
TCollection_AsciiString & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | MeshVS_DataMapOfIntegerAsciiString (const MeshVS_DataMapOfIntegerAsciiString &Other)

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_DataMapOfIntegerAsciiString::MeshVS_DataMapOfIntegerAsciiString | ( | const Standard_Integer | NbBuckets = `1` | ) |

MeshVS_DataMapOfIntegerAsciiString::~MeshVS_DataMapOfIntegerAsciiString | ( |  | ) | `[inline]`

Standard_EXPORT MeshVS_DataMapOfIntegerAsciiString::MeshVS_DataMapOfIntegerAsciiString | ( | const MeshVS_DataMapOfIntegerAsciiString & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT MeshVS_DataMapOfIntegerAsciiString& MeshVS_DataMapOfIntegerAsciiString::Assign | ( | const MeshVS_DataMapOfIntegerAsciiString & | Other | ) |

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfIntegerAsciiString::Bind | ( | const Standard_Integer & | K,
|  | const TCollection_AsciiString & | I
| ) |

Standard_EXPORT TCollection_AsciiString& MeshVS_DataMapOfIntegerAsciiString::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void MeshVS_DataMapOfIntegerAsciiString::Clear | ( |  | ) |

Standard_EXPORT const TCollection_AsciiString& MeshVS_DataMapOfIntegerAsciiString::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfIntegerAsciiString::IsBound | ( | const Standard_Integer & | K | ) | const

void MeshVS_DataMapOfIntegerAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MeshVS_DataMapOfIntegerAsciiString::operator new | ( | size_t | size | ) | `[inline]`

void* MeshVS_DataMapOfIntegerAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TCollection_AsciiString& MeshVS_DataMapOfIntegerAsciiString::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const TCollection_AsciiString& MeshVS_DataMapOfIntegerAsciiString::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

MeshVS_DataMapOfIntegerAsciiString& MeshVS_DataMapOfIntegerAsciiString::operator= | ( | const MeshVS_DataMapOfIntegerAsciiString & | Other | ) | `[inline]`

Standard_EXPORT void MeshVS_DataMapOfIntegerAsciiString::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfIntegerAsciiString::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- MeshVS_DataMapOfIntegerAsciiString.hxx